CCOS(3)

NAME
ccos, ccosf, csin, csinf ctan, ctanf - complex trigonometric functions

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double complex
ccos(double complex z);
float complex
ccosf(float complex z);
double complex
csin(double complex z);
float complex
csinf(float complex z);
double complex
ctan(double complex z);
float complex
ctanf(float complex z);

DESCRIPTION
The ccos(), csin(), and ctan() functions compute the cosine, sine, and tangent of the complex number z, respectively. The ccosf(), csinf(), and ctanf() functions perform the same operations in float precision.

SEE ALSO
cacos(3), ccosh(3), complex(3), cos(3), math(3), sin(3), tan(3)

STANDARDS
These functions conform to isoC-99.